Bug 131080 - Network Config Utility drops all wireless hardware after reboot.
Network Config Utility drops all wireless hardware after reboot.
Status: CLOSED WORKSFORME
Product: Fedora
Classification: Fedora
Component: initscripts (Show other bugs)
2
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Bill Nottingham
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-08-27 07:21 EDT by peter kofod
Modified: 2014-03-16 22:47 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-04-27 00:42:26 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description peter kofod 2004-08-27 07:21:30 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Macintosh; U; PPC Mac OS X; en) AppleWebKit/125.4 (KHTML, like Gecko) Safari/125.9

Description of problem:
Building the box with a Netgear MA 311 PCI wireless adapter works fine.  The adapter is correctly detected as a Prism 2.5 chipset wireless adapter.  The wireless device is added with no problem.  It is bound to the correct hardware, mode, channel and WEP key are correctly set, and despite an error message during activation (SET failed), the device comes up and works fine.
When the box is rebooted, however, the following anomalies occur:
- During boot sequence, kudzu detects a change in hardware (it wants to remove and add a Prism 2.5 chipset controller).  I ignore both.
- The wireless controller doesn't work.
- After login, the network config-tool reveals the following
- The device created (eth1) remains unchanged
- The hardware (eth1) has been changed from a wireless Prism/Intersil adapter to the onboard ethernet adapter (showing the same hardware as both eth0 and eth1).  The status of eth1 is system, not ok.
- Any attempt to manually add a wireless device, shows a list of ethernet adapters, not wireless adapters.
- The ifcfg files for both the ethernet adapter and the wireless adapter are correct.
- The hardware browser shows, under network devices, the correct onboard ethernet adapter as /dev/eth0 as well as the Prism/Intersil device as /dev/eth2.  There are no references to /dev/eth1

This behavior was repeated during a rebuild.

Version-Release number of selected component (if applicable):
kernel-2.6.8.1-525

How reproducible:
Always

Steps to Reproduce:
1.  Build FC2 using special kernel boot disk for Via C3 chipset.  (see bugzilla ID 120685).  At end, load kernel 2.6.8.1-525
2.  Get configure wireless ethernet adapter
3.  Reboot
    

Additional info:

Its a mini-com mini-ITX board, running a Via C3 chip.  128 MB RAM.  The wireless card is a Netgear MA 311.
Comment 2 Bill Nottingham 2004-10-27 14:23:18 EDT
Have you upgraded to the errata kudzu packages?
Comment 3 Matthew Miller 2005-04-26 11:33:54 EDT
Fedora Core 2 is now maintained by the Fedora Legacy project for
security updates only. If this problem is a security issue, please
reopen and reassign to the Fedora Legacy product. If it is not a
security issue and hasn't been resolved in the current FC3 updates or
in the FC4 test release, reopen and change the version to match.
Comment 4 Bill Nottingham 2005-04-27 00:42:26 EDT
Closing, no response to query.

Note You need to log in before you can comment on or make changes to this bug.